actions:
  1:
    action: close
    description: >-
      Close indices older than 1 hour (based on index name).
    options:
      ignore_empty_list: True
      delete_aliases: False
      disable_action: False
    filters:
    - filtertype: pattern
      kind: prefix
      value: rsyslog-
    - filtertype: age
      source: name
      direction: older
      timestring: '%Y.%m.%d.%h'
      unit: hours
      unit_count: 1

  2:
    action: delete_indices
    description: >-
      Delete indices older than 4 hours (based on index name).
    options:
      ignore_empty_list: True
      disable_action: False
    filters:
    - filtertype: pattern
      kind: prefix
      value: rsyslog-
    - filtertype: age
      source: name
      direction: older
      timestring: '%Y.%m.%d.%h'
      unit: hours
      unit_count: 4